package com.muyu.engine.basic.abstracts;

import com.muyu.common.domain.DataValue;
import com.muyu.engine.basic.BasicEngine;
import com.muyu.engine.basic.handler.DataEngineRowHandler;

/**
 * @Author：蓬叁
 * @Package：com.muyu.engine.basic.handler
 * @Project：cloud-rule
 * @name：DataEngineValueActuator
 * @Date：2024/8/29 下午4:21
 * @Description: 数据值处理对象
 */
public abstract class DataEngineRowActuator implements BasicEngine<DataValue[]> {

    public void set(DataValue[] dataValue){
        DataEngineRowHandler.set(dataValue);
    }

    //获取原始值
    public DataValue[] get(){
        return DataEngineRowHandler.get();
    }

}
