package com.muyu.common.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：蓬叁
 * @Package：com.muyu.common.domain
 * @Project：cloud-rule
 * @name：DataValue
 * @Date：2024/8/29 下午4:03
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DataValue {

    private String label;

    private String key;

    private Object value;

    private String type;

}
