package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

/**
 * @Author：yang
 * @Package：com.muyu.common.domain
 * @Project：cloud-integration
 * @name：RuleDataClassify
 * @Date：2024/8/21 20:25
 */
@EqualsAndHashCode(callSuper = true)
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName("rule_data_classify")
public class RuleDataClassify extends BaseEntity {

    /**
     * 类型ID
     */
    @TableId(value = "rule_data_classify_id",type = IdType.AUTO)
    private Long ruleDataClassifyId;
    /**
     * 规则类型名称
     */
    private String ruleTypeName;
    /**
     * 规则类型描述
     */
    private String ruleTypeDescription;

}
