package com.muyu.engine.basic.handler;

/**
 * @Author：蓬叁
 * @Package：com.muyu.engine.basic.handler
 * @Project：cloud-rule
 * @name：DataEngineHandler
 * @Date：2024/8/29 下午3:15
 * @Description: 规则引擎作用域
 */
public class DataEngineHandler {

    private static final ThreadLocal<Object> dataEngineHandler = new ThreadLocal<>();

    public static void  set(final Object handler) {
        dataEngineHandler.set(handler);
    }

    public static <T> T get() {
        return (T) dataEngineHandler.get();
    }

    public static void remove(){
        dataEngineHandler.remove();
    }

}
