package com.muyu.engine.basic.handler;

import com.muyu.common.core.text.Convert;
import com.muyu.common.domain.DataValue;

/**
 * @Author：蓬叁
 * @Package：com.muyu.engine.basic.handler
 * @Project：cloud-rule
 * @name：DataEngineValueHandler
 * @Date：2024/8/29 下午3:21
 * @Description: 数据值作用域
 */
public class DataEngineSetHandler {

    public static void set(DataValue dataValue){
        DataEngineHandler.set(dataValue);
    }

    public static DataValue get(){
        return DataEngineHandler.get();
    }

    public static void remove(){
        DataEngineHandler.remove();
    }

    public static Object getValue(){
        return get().getValue();
    }

    public static Integer getIntegerValue(){
        return Convert.toInt(getValue(),null);
    }

}
